TTFTable
Date: 2017-05-25

org.apache.fontbox.ttf

## Class TTFTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable

- Direct Known Subclasses:
    CFFTable, CmapTable, DigitalSignatureTable, GlyphTable, HeaderTable, HorizontalHeaderTable, HorizontalMetricsTable, IndexToLocationTable, KerningTable, MaximumProfileTable, NamingTable, OS2WindowsMetricsTable, OTLTable, PostScriptTable, VerticalHeaderTable, VerticalMetricsTable, VerticalOriginTable

      public class TTFTable
      extends java.lang.Object

  A table in a true type font.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TrueTypeFont` | `font` The font which contains this table.
    `protected boolean` | `initialized` Indicates if the table is initialized or not.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCheckSum()`
    `boolean` | `getInitialized()` Indicates if the table is already initialized.
    `long` | `getLength()`
    `long` | `getOffset()`
    `java.lang.String` | `getTag()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initialized

          protected boolean initialized

      Indicates if the table is initialized or not.

    - #### font

          protected final TrueTypeFont font

      The font which contains this table.

  - ### Method Detail

    - #### getCheckSum

          public long getCheckSum()

      Returns:
        Returns the checkSum.

    - #### getLength

          public long getLength()

      Returns:
        Returns the length.

    - #### getOffset

          public long getOffset()

      Returns:
        Returns the offset.

    - #### getTag

          public java.lang.String getTag()

      Returns:
        Returns the tag.

    - #### getInitialized

          public boolean getInitialized()

      Indicates if the table is already initialized.
      Returns:
        true if the table is initialized